> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customerId by customer regNo

> This operation will return the customer id related to given customer regNo

<ResponseExample>
  ```json theme={null}
  {
    "id": "151077912"
  }
  ```
</ResponseExample>


## OpenAPI

````yaml customer get /v3/regNo/{regNo}/id
openapi: 3.0.3
info:
  description: |
    Endpoint for doing various actions connected to the customer domain
    # Introduction
    Enfuce API offers ways to operation on account, card and customer level.
  version: '1'
  title: Customer details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/customer
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/customer
    description: Live environment
security: []
tags:
  - name: Create a customer
    description: <p>Endpoints for creating a customer</p>
  - name: Update a customer
    description: <p>Endpoints for updating a customer</p>
  - name: Get customer information
    description: Endpoints for fetching a customer
paths:
  /v3/regNo/{regNo}/id:
    get:
      tags:
        - Get customer information
      summary: Get customerId by customer regNo
      description: >-
        This operation will return the customer id related to given customer
        regNo
      operationId: getCustomerIdOnRegNoUsingGET
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: regNo
          in: path
          description: >-
            Identifier to customer you want fetch the id for, for example SSN.
            Enfuce does not do any validation for this regNo.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval of customer id
          content:
            application/json:
              schema:
                type: object
                title: CustomerIdResponse
                properties:
                  id:
                    type: string
                    description: Unique identifier for customer assigned by Enfuce
                    example: 151077912
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Customer does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  schemas:
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred

````